@import "src/@fuse/scss/fuse";

:host {

    mat-sidenav-container {
        width: 100%;
        height: 100%;

        mat-sidenav {
            width: 320px !important;
            min-width: 320px !important;
            max-width: 320px !important;
        }

        #board {
            display: flex;
            flex-direction: column !important;
            height: 80%;

            > .header {
                position: relative;
                min-height: 96px;
                background-image: $top-bg-image;
                background-size: cover;
                z-index: 49;

                .header-content {

                    .header-boards-button {
                        margin: 0;
                    }

                    .header-board-name {
                        font-size: 16px;

                        .board-subscribe {
                            margin-right: 8px;
                        }

                        .editable-buttons {

                            mat-icon {
                                color: #FFFFFF !important;
                            }
                        }
                    }

                    .right-side {

                        > .mat-button:last-child {
                            margin-right: 0;
                        }
                    }

                }
            }

            #board-selector {
                position: absolute;
                top: 96px;
                right: 0;
                left: 0;
                height: 192px;
                z-index: 48;
                padding: 24px;
                opacity: 1;

                .board-list-item {
                    width: 128px;
                    height: 192px;
                    padding: 16px;
                    cursor: pointer;
                    position: relative;

                    .board-name {
                        text-align: center;
                        padding: 16px 0;
                    }

                    .selected-icon {
                        position: absolute;
                        top: 0;
                        left: 50%;
                        width: 32px;
                        height: 32px;
                        margin-left: -16px;
                        border-radius: 50%;
                        text-align: center;
                        color: white;

                        i {
                            line-height: 32px !important;
                        }
                    }

                    &.add-new-board {
                        opacity: 0.6;
                    }
                }
            }

            .board-content-wrapper {
                position: relative;
                background: #E5E7E8;

                .board-content {
                    position: absolute;
                    top: 0;
                    right: 0;
                    bottom: 0;
                    left: 0;
                    height: 100%;
                    overflow-y: hidden;
                    overflow-x: auto;
                    -webkit-overflow-scrolling: touch;

                    .list-sortable-placeholder {
                        background: rgba(0, 0, 0, 0.06);
                        margin-right: 24px;
                    }

                    .new-list-wrapper {
                        width: 344px;
                        min-width: 344px;
                        max-width: 344px;
                        padding-right: 24px;
                    }

                }
            }
        }
    }
}

.scrumboard-board-list {
    width: 344px;
    min-width: 344px;
    max-width: 344px;
    padding-right: 24px !important;
    height: 100%;

    .list {
        max-height: 100%;
        background-color: #EEF0F2;
        color: #000;
        border-radius: 2px;
        transition: box-shadow 150ms ease;

        .list-header {
            height: 64px;
            min-height: 64px;
            padding: 0 8px 0 16px;
            border-bottom: 1px solid rgba(0, 0, 0, 0.12);

            @include media-breakpoint-down(sm) {
                height: 48px;
                min-height: 48px;
            }
        }

        .list-header-name {
            text-overflow: ellipsis;
            overflow: hidden;
            font-size: 15px;
            font-weight: 500;
        }

        .list-content {
            position: relative;
            overflow: hidden;
            overflow-y: auto;
            min-height: 0;

            .list-cards {
                position: relative;
                min-height: 32px;
                padding: 0 16px;
                background: mat-color($mat-grey, 200) !important;
            }

            .list-no-content {
                position: relative;
                flex: 1 0 auto;
                min-height: 32px;
                padding: 0 16px;
                background: #DCDFE2 !important;
                border-radius: 12px;
            }
        }

        .list-footer {
            display: flex;
            flex-direction: column;
            flex: 1 0 auto;
            min-height: 48px;
            background-color: #DCDFE2;

            .list-footer-item {
                
                position: relative;
                padding: 16px 16px;
                text-align: left;
                font-size: 14px;
                background-color: #DCDFE2;
            }
        }

    }

    &:not(.has-handle):not(.move-disabled),
    &.has-handle [ngxdraghandle],
    &.has-handle [ngxDragHandle] {
        //cursor: move;
    }

    .ngx-dnd-content {
        user-select: none;
    }

    &.gu-mirror {
        position: fixed !important;
        margin: 0 !important;
        z-index: 9999 !important;
        opacity: 0.8;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
        filter: alpha(opacity=80);

        > .list {
            @include mat-elevation(7);
        }
    }

    &.gu-hide {
        display: none !important;
    }

    &.gu-unselectable {
        -webkit-user-select: none !important;
        -moz-user-select: none !important;
        -ms-user-select: none !important;
        user-select: none !important;
    }

    &.gu-transit {
        opacity: 0.2;
        -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=20)";
        filter: alpha(opacity=20);
    }
}
